-module(ircd_app).

-behaviour(application).

%% Application callbacks
-export([start/2, stop/1]).

-include("ircd.hrl").

%%====================================================================
%% Application callbacks
%%====================================================================
start(_Type, _StartArgs) ->
    mnesia:start(),
    application:start(sasl),
    mnesia:create_table(client, [{type, set},
				 {attributes, record_info(fields, client)}]),
    mnesia:create_table(channel_user, [{type, bag},
				       {attributes, record_info(fields, channel_user)}]),
    server_sup:start_link().

stop(_State) ->
    ok.

%%====================================================================
%% Internal functions
%%====================================================================
