-module(server_sup).

-behaviour(supervisor).

%% API
-export([start_link/0]).

%% Supervisor callbacks
-export([init/1]).

-define(SERVER, ?MODULE).

%%====================================================================
%% API functions
%%====================================================================
start_link() ->
    supervisor:start_link({local, ?SERVER}, ?MODULE, []).

%%====================================================================
%% Supervisor callbacks
%%====================================================================
init([]) ->
    Server = {server,{server,start_link,[]},
	      permanent,2000,worker,[server]},
    ClientSup = {client_sup,{client_sup,start_link,[]},
	      permanent,2000,supervisor,[client_sup]},
    {ok,{{one_for_one,1,1000}, [Server, ClientSup]}}.

%%====================================================================
%% Internal functions
%%====================================================================
